import http from './http'
//能源消耗
export const postEnergyManage = params => {
  return http.post(`/api/energy/getData`, params).then(res => res).catch(function (error) {
      console.log(error);
  })
}


// 瞬时热量-获取列表
export const postInstantHeat = params => {
  return http.post(`api/Scheduling/BizInstantaneousHeat/Get`).then(res => res).catch(function (error) {
      console.log(error);
  })
}

// 瞬时热量-新增修改
export const postInstantHeatUpdate = params => {
  return http.post(`api/Scheduling/BizInstantaneousHeat/Update`,params).then(res => res).catch(function (error) {
      console.log(error);
  })
}

// 参数设置
export const postConfigBoilerUpdate = params => {
  return http.post(`api/configboiler/Save`,params).then(res => res).catch(function (error) {
      console.log(error);
  })
}


export const postSecAbsTUc = params => {
  return http.post(`/api/analysis/external/SecAbsTUc`, params).then(res => res).catch(function (error) {
      console.log(error);
  })
}

export const postEnergyManageSave = params => {
  return http.post(`/api/energy/Save`, params).then(res => res).catch(function (error) {
      console.log(error);
  })
}



export const getWeatherMagData = () => { // 获取气象干预数据
  return http.get(`/api/cusweather/getData`)
}

export const alterWeatherMagData = params => { // 更新气象干预数据
  return http.post(`/api/cusweather/SaveAll`, params)
}

export const getTransfer = param =>{ // 获取换热站列表
    return http.post(`\`/api/cusweather/getTransferIdsid=?${param}\``,param)
}

export const getAnnualParam = ()=>{ // 获取年度参数列表
    return http.post('/api/Scheduling/BizHeatSet/Get')
}

export const alterAnnualParam = params => {  // 修改年度参数
    return http.post('/api/Scheduling/BizHeatSet/Update', params)
}

export const addAnnualParam = params =>{  // 新增年度参数
    return http.post('/api/Scheduling/BizHeatSet/Add',params)
}

export const deleteAnnualParam = params =>{  // 删除年度参数
    // console.log("地址：",`/api/Scheduling/BizHeatSet/Delete?Id=${params}`)
    return http.post(`/api/Scheduling/BizHeatSet/Delete?Id=${params}`)
}

